> For the complete documentation index, see [llms.txt](https://docs.testvibe.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.testvibe.com/testvibe-api/api-reference/features/list_features.md).

# list\_features

List the project's features. Only features with status `generated` have runnable tests.

## Request

```
GET /api/v1/ops/projects/{project}/features[?status=]
```

| Parameter | In    | Type   | Required | Description                                                  |
| --------- | ----- | ------ | -------- | ------------------------------------------------------------ |
| `project` | path  | string | yes      | The project's public id.                                     |
| `status`  | query | string | no       | Only features with this lifecycle status (e.g. `generated`). |

{% tabs %}
{% tab title="cURL" %}

```bash
curl -H "Authorization: Bearer $TESTVIBE_API_KEY" \
  "$TESTVIBE_SERVER/api/v1/ops/projects/$PROJECT/features?status=generated"
```

{% endtab %}

{% tab title="CLI" %}

```bash
testvibe features list --status generated
```

{% endtab %}

{% tab title="MCP" %}
Tool **`list_features`** — optional `project` and `status`.
{% endtab %}
{% endtabs %}

## Response

```json
[
  {
    "id": 12,
    "name": "Login Functionality",
    "kind": "feature",
    "status": "generated",
    "updatedUtc": "2026-06-10T14:32:07Z"
  },
  {
    "id": 15,
    "name": "Checkout",
    "kind": "feature",
    "status": "draft",
    "updatedUtc": "2026-06-10T15:01:44Z"
  }
]
```

See [Features & the lifecycle](/testvibe-api/core-concepts/features.md) for the `status` values.

## Errors

| HTTP            | When                               |
| --------------- | ---------------------------------- |
| `404 not_found` | No such project in this workspace. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.testvibe.com/testvibe-api/api-reference/features/list_features.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
